Sync modemmanager 1.0.0-2 (main) from Debian experimental (main)

Bug #1264630 reported by Jackson Doak on 2013-12-28
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
modemmanager (Ubuntu)
Medium
Mathieu Trudel-Lapierre

Bug Description

Please sync modemmanager 1.0.0-1 (main) from Debian experimental (main)

Explanation of the Ubuntu delta and why it can be dropped:
  * debian/patches/lp1229748_bluegiga_blacklist.patch: don't reset BLED112B.
    (LP: #1229748)
  * debian/patches/lp1229748_bluegiga_blacklist.patch: don't reset BLED112B.
    (LP: #1229748)
  * debian/patches/lp1164023_try_csq_if_cind_fails_5d854a3.patch: fallback to
    trying AT+CSQ if AT+CIND fails. (LP: #1164023)
  * debian/patches/git_udev_match_both_vid_pid_e322ccf.patch: match both VID
    and PID when matching devices: If the rules to tag specific USB interface
    numbers only apply on the PID, we'll end up seeing that if the port has a
    parent with another PID, and that other PID also has a rule, port will get
    tagged multiple times.
  * debian/patches/git_mbm_remove_check_poll_when_conn_1652019.patch: mbm:
    remove connection attempt check poll explicitly when connected: Completing
    a MMCallbackInfo is done asynchronously (in an idle), which means that we
    may get the poll timeout called in between...
  * debian/patches/lp1164023_try_csq_if_cind_fails_5d854a3.patch: fallback to
    trying AT+CSQ if AT+CIND fails. (LP: #1164023)
  * debian/patches/git_udev_match_both_vid_pid_e322ccf.patch: match both VID
    and PID when matching devices: If the rules to tag specific USB interface
    numbers only apply on the PID, we'll end up seeing that if the port has a
    parent with another PID, and that other PID also has a rule, port will get
    tagged multiple times.
  * debian/patches/git_mbm_remove_check_poll_when_conn_1652019.patch: mbm:
    remove connection attempt check poll explicitly when connected: Completing
    a MMCallbackInfo is done asynchronously (in an idle), which means that we
    may get the poll timeout called in between...
  * debian/patches/git_cdma_double_free_05a4226.patch: cdma: avoid double free
    of GError (LP: #1083659)
  * debian/patches/git_ignore_arduino_aa84ce9.patch: properly ignore more
    arduino devices. (LP: #1153632)
  * debian/patches/git_ignore_west_mountain_radios_e608b17.patch: ignore West
    Mountain amateur radio systems. (LP: #1154654)
  * debian/patches/lp700316_usb_blacklist.patch: refreshed.
  * debian/patches/linux-default-usb-id.patch: blacklist the USB-Gadget default
    USB ID (the module actually allows you to set a custom one). The default ID
    is re-used by the Nexus 7 with Ubuntu images to expose a tty you can use
    to login to the system; but if it's not ignored ModemManager will
    harass it for some time trying to probe it. (LP: #1105352)
  * debian/patches/handle_data07_capabilities_probing.patch: properly handle
    probing for the Huawei Data07 modem. (LP: #1071492)
  * Upload the right tarball for 0.6.0.0 from upstream, which I somehow
    mishandled before. Thanks to Marius B. Kotsbak for pointing out the issue.
  * Upload the right tarball for 0.6.0.0 from upstream, which I somehow
    mishandled before. Thanks to Marius B. Kotsbak for pointing out the issue.
  * debian/patches/git_fall_back_to_csq_cind_8bd6903.patch: fallback to +CSQ if
    +CIND reports a signal level of 0. (LP: #1060831)
  * debian/patches/git_move_cind_process_func_1dee45e.patch: moving the CIND
    processing function down a bit to make the above change cleaner. Cherry-pick
    from upstream.
  * debian/patches/ericsson_h5321gw_usbids.patch: Add another known USB ID for
    the Ericsson H5321gw. (LP: #1057956)
  * debian/patches/git_lte_4g_parsing_90489ae.patch,
    debian/patches/git_lte_etsi_mode_0af47c7.patch: cherry-pick the patches
    to properly handle and display LTE/4G technology modes. (LP: #1044744)
  * debian/patches/git_lp1015328_segfault_in_clck_parser_318aaa0.patch: avoid
    crashing when parsing +CLCK responses. (LP: #1015328)
  * debian/patches/git_better_handle_ucs2_convert_e07c216.patch,
    debian/patches/git_skip_add_utf8_check_219424a.patch: fix UCS2 conversion
    for some Huawei devices which return "garbage" along with the response for
    the +COPS command. (LP: #1049426)
  * New upstream release. (LP: #1043486)
  * debian/patches/fix-format-string.patch: dropped, applied upstream.
  * debian/patches/qdl-blacklist.patch: replaced with installing the rules file
    directly to the udev rules directory.
  * debian/77-mm-qdl-device-blacklist.rules, debian/rules: additional rules
    file from the qdl-blacklist.patch; we now install it directly to the udev
    rules directory. This fixes daily builds.
  * debian/rules: build with --with-tests.
  * upstream snapshot 2012-06-22 17:19:35 (GMT)
    + 8289a646fd19b6ddfba48214e94297ff96f731eb
    - decode: harmonize with git master
    - decode: update with latest QMI enums
    - zte: try to handle Icera devices that use PPP
    - uml290: allow setting more global modes (LP: #824114)
    - qcdm: fix 1x/HDR mode pref and add GSM/UMTS mode prefs
    - trivial: whitespace fixes
    - uml290: add mode switching tool
    - wmc: namespace stuff properly
    - qcdm: namespace stuff properly
    - wmc: add command for setting global mode
    - cdma: fix QCDM registration state checking
    - test: ignore ESN errors in info.py
    - dbus: remove 'max_replies_per_connection' limit from D-Bus configuration
  * debian/patches/fix-format-string.patch: fix a missing format string in
    a fprintf call for uml290mode; it makes the build fail otherwise.
  * upstream snapshot 2012-03-26 11:22:47 (GMT)
    + 16a00296e42aeceaca3d43c00baa01b7d4de3aa2
  * debian/rules: switch to upstream git branch MM_06.
  * debian/patches/git_serial_command_on_closed_port_d41d62f.patch: avoid crash
    because of commands being set on a closed port when the command's callback
    is NULL. (LP: #963102)
  * debian/patches/git_serial_command_on_closed_port_d41d62f.patch: avoid crash
    because of commands being set on a closed port when the command's callback
    is NULL. (LP: #963102)
  * New upstream bugfix release (stable release 0.5.2).
    - hso: disable echo removal (LP: #953294)
    - gsm: retry sending SMS in PDU mode if text fails and PDU is supported
  * New upstream bugfix release.
    - release: update NEWS
    - cdma: fix crash on NULL error (bgo #670145)
    - Revert "huawei: rework probing and detection" (LP: #868034)
    - core: fix loop limits in echo removal
    - at-serial-port: implement built-in echo/garbage removal (LP: #916038)
  * debian/ubuntu/modemmanager.upstart: Remove unnecessary expect fork as
    this does the same thing as just exec'ing. Also check for existence of
    modemmanager in case it has been removed but not purged. (LP: #942908)
  * debian/ubuntu/modemmanager.upstart: fix stop condition to make sure we stop
    only when NetworkManager is stopped as much as possible, to avoid being
    respawned by it via DBus. (LP: #869635, #919071)
  * upstream snapshot 2012-02-08 18:07:13 (GMT)
    + 635fce193ff3a1dbbdee2abab9aa3ab121df25f0
  * debian/rules: as for NetworkManager, drop a few characters from the version
    number for git snapshots.
  [ Mathieu Trudel-Lapierre ]
  * upstream snapshot 2011-12-31 17:44:44 (GMT)
    + 1e332abc957d7eea4521c95d1e28b097de5427e5
  [ Artem Popov ]
  * debian/patches/arduino-blacklist.patch: add Arduino devices to blacklist
    to prevent managing Arduino devices. (LP: #910736)
    - [0403:6001] FT232 USB-Serial (UART) IC.
    - [03eb:204b] Atmel Corp. LUFA USB to Serial Adapter Project.
    - Anything with the Arduino VID (2341).
  * debian/patches/qdl-blacklist.patch: add more devices to the blacklist of
    Gobi QDL devices. (LP: #842702, #807889)
    - [1410:a014] Novatel Gobi found in the Google CR-48.
    - [03f0:241d] HP un2420 Gobi found in the HP Mini 5102 and Mini 5103.
  * debian/patches/qdl-blacklist.patch: add more devices to the blacklist of
    Gobi QDL devices. (LP: #842702, #807889)
    - [1410:a014] Novatel Gobi found in the Google CR-48.
    - [03f0:241d] HP un2420 Gobi found in the HP Mini 5102 and Mini 5103.
  * New upstream release 0.5.
    - gsm: send init command twice to make the N900 happy (LP: #765516)
    - fix sierra modems' sleep mode command (LP: #459052, #738005)
  * debian/patches/lp700316_usb_blacklist.patch: add extra devices to blacklist
    of USB devices known to usually be serial dongles or other things MM should
    not touch. (LP: #700316)
  * debian/control, debian/rules: add a -dbg package for modemmanager, and
    override dh_strip accordingly. (LP: #415394)
  * debian/rules: fix .la/.a file removal to not fail if there is nothing to
    remove.
  * debian/modemmanager.install: install files to the modemmanager package
    explicitly now that it's not the only binary package.
  * debian/modemmanager.upstart: add an upstart config file so ModemManager
    gets started just before NM, and stopped along with it. (LP: #806082)
  * debian/rules: install upstart file only for Ubuntu.
  * New upstream release 0.4.997.
    + switch to git branch MM_05.
All should be fixed in debian

Changelog entries since current trusty version 0.6.0.0.really-0ubuntu7:

modemmanager (1.0.0-1) experimental; urgency=low

  * New upstream release. (Closes: #728214, #728215)
  * debian/control: add a versioned dependency for libqmi -- we need at least
    version 1.4.
  * debian/control: build-depends on libmbim-glib-dev 1.4
  * debian/rules: run the local autogen.sh rather than gnome-autogen.sh.
  * debian/rules: drop --with-tests.
  * debian/rules: clean up after gtk-doc files left around.
  * debian/patches/glib_fixes.patch: link against glib explicitly for the
    huawei modem helper tests.
  * debian/libmm-glib0.symbols: updated symbols.
  * debian/watch: update watch file for new location of upstream source.

 -- Mathieu Trudel-Lapierre <email address hidden> Fri, 20 Dec 2013 15:35:26 -0500

modemmanager (0.7.991-1) experimental; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * New upstream release.
  * debian/patches/handle_data07_capabilities_probing.patch,
    debian/patches/git_skip_add_utf8_check_219424a.patch,
    debian/patches/git_lte_etsi_mode_0af47c7.patch,
    debian/patches/git_lte_4g_parsing_90489ae.patch,
    debian/patches/git_lp1015328_segfault_in_clck_parser_318aaa0.patch,
    debian/patches/git_better_handle_ucs2_convert_e07c216.patch: Dropped,
    these patches were cherry-picks; included upstream
  * debian/patches/ericsson_h5321gw_usbids.patch: dropped, included upstream.
  * debian/control:
    - clean up build-depends: remove xsltproc, bump
      libglib2.0-dev to (>= 2.30.2), libgudev-1.0-dev to (>= 147).
    - Add gtk-doc-tools to Build-Depends.
    - Add libqmi-glib-dev to Build-Depends.
    - Add gnome-common to Build-Depends.
    - Bump debhelper Build-Depends to >= 9.
    - Make sure libmm-glib0 pre-depends on multiarch-support (lintian).
    - Make libmm-glib0 Multi-Arch: same.
    - Make sure all binary packages (except modemmanager-dbg) are priority
      optional.
    - Update short descriptions.
    - Breaks network-manager (<< 0.9.8.2-1) since otherwise NetworkManager
      will not see ModemManager with its new API.
  * debian/compat: bump to compat level 9.
  * debian/rules:
    - Replace --with-docs with --enable-gtk-doc.
    - Fix autoreconf to run gnome-autogen.sh.
    - Drop the override for installdocs; docs/spec.html isn't being built
      anymore.
    - Run dh_install with --fail-missing.
    - Remove test pppd plugin which we shouldn't install.
    - Drop old cruft for getting git snapshots.
    - We don't need to exclude the pppd path from makeshlibs, since nothing
      gets installed there.
  * debian/patches/lp700316_usb_blacklist.patch: refreshed.
  * debian/patches/arduino-blacklist.patch: refreshed.
  * debian/patches/linux-default-usb-id.patch: refreshed.
  * debian/*.install: make sure the files are properly installed given the new
    packages, also take into account multiarch paths.
  * debian/modemmanager.install: install the new mmcli binary.
  * debian/ubuntu/modemmanager.upstart: fix the name for the ModemManager
    binary, since it was changed upstream.
  * debian/patches/dbus_remove_max_replies_per_connection_limit.patch: dropped,
    included upstream.

  [ Michael Biebl ]
  * Add symbols file for libmm-glib0.

  [ Marius B. Kotsbak ]
  * Added binary packages modemmanager-doc and libmm-glib-doc for gtk-docs.
  * Split out modemmanager-dev package containing header files and .pc file.
    - add dependency on modemmanager-dev from libmm-glib-dev
      as stated in "mm-glib.pc"
    - add proper replaces/breaks for modemmanager-dev because of moved files
  * Build-depends: added "libglib2.0-doc" for the cross references in the doc
    to work.
  * debian/rules: make dh_makeshlibs override multiarch aware.
  * Update standards version to current 3.9.4.

 -- Mathieu Trudel-Lapierre <email address hidden> Tue, 11 Jun 2013 10:35:42 -0400

Jackson Doak (noskcaj) wrote :

This bug blocks a number of package updates, including gnome shell.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in modemmanager (Ubuntu):
status: New → Confirmed
Michael Terry (mterry) on 2014-01-14
Changed in modemmanager (Ubuntu):
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)

I'll sync this shortly, it will also require a rebuild of NM, nm-applet.

summary: - Sync modemmanager 1.0.0-1 (main) from Debian experimental (main)
+ Sync modemmanager 1.0.0-2 (main) from Debian experimental (main)
Changed in modemmanager (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → Medium
Download full text (7.4 KiB)

This bug was fixed in the package modemmanager - 1.0.0-2

---------------
modemmanager (1.0.0-2) experimental; urgency=medium

  * Sync more changes from Ubuntu:
    - changelog for 0.6.0.0.really-0ubuntu4 (all changes dropped, they are
      patches included in the current upstream version).
    - changelog for 0.6.0.0.really-0ubuntu5 (all changes dropped, they are
      patches included in the current upstream version).
    - changelog for 0.6.0.0.really-0ubuntu6.
    - Build-Depend on automake1.11.
    - changelog for 0.6.0.0.really-0ubuntu7.
    - lp1229748_bluegiga_blacklist.patch: don't reset BLED112B.

 -- Mathieu Trudel-Lapierre <email address hidden> Tue, 14 Jan 2014 10:02:26 -0500

modemmanager (1.0.0-1) experimental; urgency=low

  * New upstream release. (Closes: #728214, #728215)
  * debian/control: add a versioned dependency for libqmi -- we need at least
    version 1.4.
  * debian/control: build-depends on libmbim-glib-dev 1.4
  * debian/rules: run the local autogen.sh rather than gnome-autogen.sh.
  * debian/rules: drop --with-tests.
  * debian/rules: clean up after gtk-doc files left around.
  * debian/patches/glib_fixes.patch: link against glib explicitly for the
    huawei modem helper tests.
  * debian/libmm-glib0.symbols: updated symbols: Contacts interface that was
    in 0.7.990 got dropped; it's not actually implemented, so upstream avoids
    exposing it.
  * debian/watch: update watch file for new location of upstream source.

 -- Mathieu Trudel-Lapierre <email address hidden> Fri, 20 Dec 2013 15:35:26 -0500

modemmanager (0.7.991-1) experimental; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * New upstream release.
  * debian/patches/handle_data07_capabilities_probing.patch,
    debian/patches/git_skip_add_utf8_check_219424a.patch,
    debian/patches/git_lte_etsi_mode_0af47c7.patch,
    debian/patches/git_lte_4g_parsing_90489ae.patch,
    debian/patches/git_lp1015328_segfault_in_clck_parser_318aaa0.patch,
    debian/patches/git_better_handle_ucs2_convert_e07c216.patch: Dropped,
    these patches were cherry-picks; included upstream
  * debian/patches/ericsson_h5321gw_usbids.patch: dropped, included upstream.
  * debian/control:
    - clean up build-depends: remove xsltproc, bump
      libglib2.0-dev to (>= 2.30.2), libgudev-1.0-dev to (>= 147).
    - Add gtk-doc-tools to Build-Depends.
    - Add libqmi-glib-dev to Build-Depends.
    - Add gnome-common to Build-Depends.
    - Bump debhelper Build-Depends to >= 9.
    - Make sure libmm-glib0 pre-depends on multiarch-support (lintian).
    - Make libmm-glib0 Multi-Arch: same.
    - Make sure all binary packages (except modemmanager-dbg) are priority
      optional.
    - Update short descriptions.
    - Breaks network-manager (<< 0.9.8.2-1) since otherwise NetworkManager
      will not see ModemManager with its new API.
  * debian/compat: bump to compat level 9.
  * debian/rules:
    - Replace --with-docs with --enable-gtk-doc.
    - Fix autoreconf to run gnome-autogen.sh.
    - Drop the override for installdocs; docs/spec.html isn't being built
      anymore.
    - Run dh_install with --fail-missing.
    - Remove test pppd plugin which we shouldn't install.
    -...

Read more...

Changed in modemmanager (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions